> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Team Invitation

> Accept an invitation by token (auth-only — the caller isn't a member yet).



## OpenAPI

````yaml /openapi.json post /api/v1/teams/invitations/accept
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/invitations/accept:
    post:
      tags:
        - Teams
      summary: Accept Team Invitation
      description: >-
        Accept an invitation by token (auth-only — the caller isn't a member
        yet).
      operationId: accept_team_invitation_api_v1_teams_invitations_accept_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamInvitationAcceptRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamInvitationAcceptResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TeamInvitationAcceptRequest:
      properties:
        token:
          type: string
          maxLength: 128
          minLength: 8
          title: Token
          description: Invitation token
      type: object
      required:
        - token
      title: TeamInvitationAcceptRequest
    TeamInvitationAcceptResponse:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
        role:
          type: string
          title: Role
        team_name:
          type: string
          title: Team Name
      type: object
      required:
        - team_id
        - role
        - team_name
      title: TeamInvitationAcceptResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````